_

[LISP] entsel

Forum poświęcone flagowemu produktowi oraz aplikacjom pochodnym Autodesku. To jedyne forum mające w tytule nazwę programu, a to ze względu na jego olbrzymią popularność w Polsce. Można tutaj umieszczać również posty z ogólnie pojętej tematyki "Kreślarskie 2D".

[LISP] entsel

Postprzez Jerry » lip 05, 2018 07:42

Witam
Jak uzyskać listę DXF elementu, który znajduje się na modelu, podczas gdy pracuje się na papierze?
Jerry
Jerry
 
Posty: 210
Dołączył(a): paź 02, 2005 18:35
Lokalizacja: Gdańsk

Re: [LISP] entsel

Postprzez agregu » lip 05, 2018 09:08

hmmm

nie wiem czy to miałeś na mysli ale...

dwukrotnie kliknij w środku viewportu (potem go zablokuj żeby sobie nic nie poprzestawiać)
i wówczas (entget(car(entsel))) i zaznaczasz obiekt tak jak w modelu
powrót do papieru poleceniem _ps
_____________________________________________________________________________________
Nakladka do projektowania instalacji elektrycznych i teletechnicznych
www.TTCAD.pl
agregu
agregu
 
Posty: 59
Dołączył(a): kwi 22, 2011 08:35

Re: [LISP] entsel

Postprzez ziele_o2k » lip 05, 2018 09:27

Jerry napisał(a):Witam
Jak uzyskać listę DXF elementu, który znajduje się na modelu, podczas gdy pracuje się na papierze?
Jerry

No entselem ani nentselem tego nie zrobisz. Najłatwiej zrobić to dwoma kliknięciami - najpierw na viewport, aktywować go, a potem na obiekt, którego chcemy mieć dxfa.
Jednym klikiem trzeba pokombinować.
Ziele
Avatar użytkownika
ziele_o2k
 
Posty: 718
Dołączył(a): mar 18, 2014 11:33
Lokalizacja: Poznań

Re: [LISP] entsel

Postprzez Jerry » lip 05, 2018 09:30

Chodzi mi o to aby uzyskać dane elementu, który widzę w Viewporcie nie wchodząc do niego
Jerry
 
Posty: 210
Dołączył(a): paź 02, 2005 18:35
Lokalizacja: Gdańsk

Re: [LISP] entsel

Postprzez ziele_o2k » lip 05, 2018 09:43

Jerry napisał(a):Chodzi mi o to aby uzyskać dane elementu, który widzę w Viewporcie nie wchodząc do niego

W taki, czy inny sposób, ale musisz wejść do viewporta.
Pomysł mam taki żeby załatwić to getpointem:
1) robisz getpointa na obiekcie którego chcesz mieć dxf
2) lisp szuka najbliższych granic viewporta (obramowania) czymś podobnym do ray casting algorithm
3) lisp wchodzi (aktywuje) tego viewporta
4) teraz trzeba przekształcić współrzędne z punktu pierwszego na współrzędne w modelu i za pomocą (p - to punkt o współrzędnych w przestrzeni modelu)
Kod: Zaznacz cały
(setq ss (ssget p))
(setq e (ssname ss 0))

dobrać się do listy dxf
5) na końcu wyłączamy viewporta i masz coś chciał :)

EDIT: moim zdaniem zdecydowanie łatwiej dwoma kliknięciami :)
Ziele
Avatar użytkownika
ziele_o2k
 
Posty: 718
Dołączył(a): mar 18, 2014 11:33
Lokalizacja: Poznań


Powrót do AutoCAD

Kto przegląda forum

Użytkownicy przeglądający ten dział: Brak zidentyfikowanych użytkowników

cron